﻿using System;
using System.Threading;
using Notify;

namespace MelonVPNClient
{
    public class NotificationThreadMap : IDisposable
    {
        private readonly Notification notification;
        private readonly Thread thread;

        public NotificationThreadMap(Notification notification, Thread thread)
        {
            this.notification = notification;
            this.thread = thread;
        }

        public void Dispose()
        {
            thread.Abort();
            notification.Close();
        }
    }
}
