﻿using System.Threading;

namespace MelonVPNCore
{
    public class ThreadWrapper
    {
        private Thread wrapper;

        public ThreadWrapper(ThreadStart action)
        {
            wrapper = new Thread(action)
            {
                IsBackground = true
            };
            wrapper.Start();
        }

        public void Join() => wrapper.Join();
        public void Kill() => wrapper.Abort();
    }
}
